XPI-PACK(1)

NAME
xpi-pack - pack a directory to a XPI file

SYNOPSIS
xpi-pack <input_directory> <output_XPI_file>

DESCRIPTION
xpi-pack packs a directory to a XPI file. It takes in consideration the unpacked JAR files, which are unpacked during the call of xpi-unpack script, in order to be able to distribute them through the repositories.

It is distributed as a part of mozilla-devscripts package, and is automatically called during the build process of Mozilla extension package, if the package includes xpi.mk script in debian/rules file.

OPTIONS

None.

ENVIRONMENT VARIABLES

None.

EXAMPLE

xpi-pack ubufox ubufox.xpi
    Packs the contents of the directory ubufox to file ubufox.xpi.

SEE ALSO
xpi-unpack

AUTHOR
xpi-pack was written by Alexander Sack <asac@ubuntu.com> and Sasa Bodiroza <jazzva@gmail.com>, and this manual page by Sasa Bodiroza <jazzva@gmail.com>. Both are released under the GNU General Public License, version 2 or later.